<?php

namespace App\Models;

use App\Models\Dashboard\Admin\Admin;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class PropertyType extends Model
{
    use HasFactory;

    public $table = 'property_types';
    protected $fillable = ['name'];

    public function properties()
    {
        return $this->hasMany(Property::class);
    }

    
    public function admin()
    {
        return $this->belongsTo(Admin::class);
    }
}
